Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.comm
Interface FT1_2EventListener

All Superinterfaces:
  EventListener

    public interface FT1_2EventListener

extends EventListener

Registered implementers are called from within the `FT1_2` event loop, you have to reply for complete transmisstions.

Example:

         public void onIndication(byte[] udat, int control) {
             try {
                 switch(control){
                     case FT1_2.CF_PRM_SEND_UDAT:
                         ft.sendACK(udat);
                         [...]
                         break;
                     case FT1_2.CF_PRM_REQ_STATUS:
                         ft.sendResponse(null);
                         [...]
                         break;
                     case FT1_2.CF_PRM_REQ_CLASS1:
                         byte[] buf=new byte[10];
                         [...]
                         ft.sendResponse(buf);
                         break;
                 }
             } catch(IOException e){
                 [...]
             }
         }

Version:
  1.0
Author:
  boehme
Available on JControl Devices:

  lib

Method Summary
`void` | `onIndication(byte[] udat, int control)` Called of the FT1_2 event loop in case of received frames.

Method Detail

### onIndication

    void onIndication(byte[] udat,
                      int control)

  Called of the FT1_2 event loop in case of received frames. The frame should be checked here and if a reply is required, it should be sent using `FT1_2.sendACK(byte[])` or `FT1_2.sendResponse(byte[])`.

  Parameters:
    `udat` - received data or null if there was no user data
    `control` - specifies the packet type, one of `FT1_2.CF_PRM_SEND_UDAT`, `FT1_2.CF_PRM_REQ_STATUS` or `FT1_2.CF_PRM_REQ_CLASS1`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD